DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# Wiener

Image Restoration Filter

## SYNOPSIS

`#include "dip_restoration.h"`

dip_Error dip_Wiener ( in, psf, signalPower, noisePower, out, flags )

## FUNCTION

This function performs an image restoration using the Wiener filter. The Wiener filter is the linear restoration filter that is optimal in mean square error sense.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `psf` | Point spread function image
`dip_Image` | `signalPower` | SignalPower image
`dip_Image` | `noisePower` | NoisePower image
`dip_Image` | `out` | Output image
`dipf_Restoration` | `flags` | Restoration flags

## LITERATURE

G.M.P. van Kempen, Image Restoration in FLuorescence Microscopy, Ph.D. Thesis, Delft University of Technology, 1999

## SEE ALSO

`PseudoInverse`, `TikhonovMiller`